Bug 644711 - Review Request: diaser - disk based backup volume accumulator, replication and management system
Review Request: diaser - disk based backup volume accumulator, replication an...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Gieseking
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-19 22:31 EDT by Damian L Brasher
Modified: 2011-08-22 11:05 EDT (History)
6 users (show)

See Also:
Fixed In Version: diaser-1.1.0-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-05 15:44:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
martin.gieseking: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Damian L Brasher 2010-10-19 22:31:43 EDT
Spec URL: http://diaser.svn.sourceforge.net/viewvc/diaser/diaser.spec
SRPM URL: http://downloads.sourceforge.net/project/diaser/diaser/1.0.8-beta2/diaser-1.0.8-1.src.rpm
Description: An advanced disk based backup volume accumulator, replication and management system for HE and SME. A quick and low-cost way to make an environment more robust and data more accessible by archiving in multiple places. This replication also provides fast retrieval of archived data from all node hosting locations. A Perl installer creates the system. Nodes can be dedicated to storage or used for existing services over unused bandwidth. DIASER works in user space over SSH. The software is based on DIAP/LTASP which is a storage architecture designed to structure months to years of long term sustainable archiving space including retrospective archiving.

This is my first package and will need a sponsor.
Comment 1 Martin Gieseking 2010-10-26 03:53:50 EDT
Hi Damian,

please always check your packages with rpmlint to find simple packaging mistakes. Since Fedora packages must satisfy a lot of rules, you should also familiarize with the packaging guidelines, most importantly

http://fedoraproject.org/wiki/Packaging/Guidelines
https://fedoraproject.org/wiki/Packaging:ReviewGuidelines


Here are some initial comments:

- add %{?dist} to the Release field
- drop the Packager field 
- choose a valid Group
- adapt Source0 according to 
  https://fedoraproject.org/wiki/Packaging:SourceURL#Sourceforge.net
- add -q to %setup
- use plain shell commands (rm, install, ...) instead of macros
- use macros for system paths:
  /usr/local/bin -> %{_bindir}
- I recommend to not install the doc files in the %install section. Just add 
  them in %files using %doc:
  %doc README COPYING WARNING ...
- don't add file INSTALL as it's not of much use in a pre-configured package
- Don't add compressed manpages. Instead, use the uncompressed version coming 
  with the tarball. rpmbuild compresses it automatically.
- replace %defattr(-,root,root, 0755) with %defattr(-,root,root,-)
- replace %doc %{_mandir}/man1/diaser.1.gz with %{_mandir}/man1/diaser.1*
- drop all the %dir lines
- adapt the %changelog entries according to 
  http://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs

$ rpmlint /var/lib/mock/fedora-13-i386/result/*.rpm
diaser.noarch: W: non-standard-group Archiving
diaser.noarch: W: incoherent-version-in-changelog 1.0.2 ['1.0.8-1', '1.0.8-1']
diaser.noarch: E: dir-or-file-in-usr-local /usr/local/diaser/docs/WARNING
diaser.noarch: E: dir-or-file-in-usr-local /usr/local/diaser/docs/INSTALL
diaser.noarch: E: dir-or-file-in-usr-local /usr/local/diaser
diaser.noarch: E: dir-or-file-in-usr-local /usr/local/diaser/docs/README
diaser.noarch: E: dir-or-file-in-usr-local /usr/local/diaser/docs/CREDITS
diaser.noarch: E: dir-or-file-in-usr-local /usr/local/diaser/docs/manual.html
diaser.noarch: E: dir-or-file-in-usr-local /usr/local/diaser/docs
diaser.noarch: E: dir-or-file-in-usr-local /usr/local/diaser/docs/COPYING
diaser.noarch: E: dir-or-file-in-usr-local /usr/local/bin
diaser.noarch: E: standard-dir-owned-by-package /usr/local/bin
diaser.noarch: E: dir-or-file-in-usr-local /usr/local/bin/diaser
diaser.noarch: E: dir-or-file-in-usr-local /usr/local/diaser/docs/manual.txt
diaser.src: W: non-standard-group Archiving
diaser.src:8: W: hardcoded-packager-tag Interlinux
diaser.src:29: W: setup-not-quiet
2 packages and 0 specfiles checked; 12 errors, 5 warnings.
Comment 2 Damian L Brasher 2010-10-28 08:52:49 EDT
Thank you Martin for your comment.

I have resolved all the issues above. 

The output from rpmlint on diaser.spec and srpm:

rpmlint diaser.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint diaser-1.0.8-1.fc13.src.rpm 
diaser.src: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

New SRPM URL:

SRPM URL:
http://downloads.sourceforge.net/project/diaser/diaser/1.0.8-beta2/diaser-1.0.8-1.fc13.src.rpm

rpm -ql diaser

/usr/sbin/diaser
/usr/share/doc
/usr/share/doc/diaser-1.0.8
/usr/share/doc/diaser-1.0.8/COPYING
/usr/share/doc/diaser-1.0.8/CREDITS
/usr/share/doc/diaser-1.0.8/README
/usr/share/doc/diaser-1.0.8/WARNING
/usr/share/doc/diaser-1.0.8/manual.html
/usr/share/doc/diaser-1.0.8/manual.txt
/usr/share/man/man1/diaser.1.gz
Comment 3 Damian L Brasher 2010-10-28 09:37:00 EDT
I have now removed the line %{_docdir} from %files section so rpm -ql diaser

gives:

/usr/sbin/diaser
/usr/share/doc/diaser-1.0.8
/usr/share/doc/diaser-1.0.8/COPYING
/usr/share/doc/diaser-1.0.8/CREDITS
/usr/share/doc/diaser-1.0.8/README
/usr/share/doc/diaser-1.0.8/WARNING
/usr/share/doc/diaser-1.0.8/manual.html
/usr/share/doc/diaser-1.0.8/manual.txt
/usr/share/man/man1/diaser.1.gz
Comment 4 Raghu Udiyar 2011-02-27 10:11:35 EST
Hi,

Please add the package release in the change logs i.e :

%changelog
* Thu Oct 28 2010 Damian L Brasher <dlb@interlinux.co.uk> 1.0.8-1
- Corrections: Red Hat Bugzilla Bug 644711 Review Request.
* Wed May 20 2010 Damian L Brasher <dlb@interlinux.co.uk> 1.0.1-1
- Initial implementation.

Guidelines on changelogs : http://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs

Everything else looks good IMO.

Next, is to get sponsorship. For this you have to review packages informally, etc, see : http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group
Comment 5 Damian L Brasher 2011-04-18 12:32:46 EDT
Thanks Raghu

I have added the package release - also in chronologically descending order.

%changelog
* Mon Apr 18 2011 Damian L Brasher <dlb@interlinux.co.uk> 1.1.0
- Code maintenance.
* Thu Oct 28 2010 Damian L Brasher <dlb@interlinux.co.uk> 1.0.8
- Corrections: Red Hat Bugzilla Bug 644711 Review Request.
* Wed May 20 2010 Damian L Brasher <dlb@interlinux.co.uk> 1.0.1
- Initial implementation.

The SRPM is now available here: 

SRPM URL: http://sourceforge.net/projects/diaser/files/diaser/1.1.0-beta3-dev/diaser-1.1.0-1.fc14.src.rpm

SPEC URL remains the same: 

Spec URL: http://diaser.svn.sourceforge.net/viewvc/diaser/diaser.spec

Do you mean find a reviewer?
Comment 6 Damian L Brasher 2011-04-20 06:43:38 EDT
I see - I'll find another package to review...
Comment 7 Damian L Brasher 2011-05-29 08:30:12 EDT
I am about to start a new Linux SA II role, will take a few weeks to get organised. 

A new semi-production DIASER instance will be created within the next two months for use by IEF.

Choosing DIASER dependencies for reciprocal Fedora package review would be an efficient use of time, suggestions welcome.

Dependencies include: perl-Net-SSH-Perl, perl-Net-SFTP, perl-AppConfig, perl-TermReadKey, perl-Data-Password
Comment 9 Damian L Brasher 2011-07-04 06:53:59 EDT
rpmlint -i diaser.spec 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint -i diaser-1.1.0-1.fc15.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 10 Damian L Brasher 2011-07-04 06:55:21 EDT
rpmlint -i diaser.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint -i diaser-1.1.0-1.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 11 Damian L Brasher 2011-07-04 08:43:15 EDT
diaser.spec:

inserted lines between %changelog entries
%defattr removed

Package maintainers:

Have joined FAS2 and completed FPCA

I have undertaken informal reviews for these packages:

https://bugzilla.redhat.com/show_bug.cgi?id=714491
https://bugzilla.redhat.com/show_bug.cgi?id=704672
https://bugzilla.redhat.com/show_bug.cgi?id=718681
Comment 12 Martin Gieseking 2011-07-19 14:29:03 EDT
Damian, here are some further comments:

- the packaged tarball doesn't match the upstream one:
  $ md5sum diaser-1.1.0.tar.gz*
  a5d02d89d83673715a1367e94ac1a580  diaser-1.1.0.tar.gz
  131e3f03b84aa6f557943b17b1a4baf5  diaser-1.1.0.tar.gz.1

  Please recheck this.

- Is diaser a plain sysadmin tool and should thus be placed in /usr/sbin, or 
  could it be useful for regular users as well? In the latter case move the
  script to /usr/bin. Otherwise, the manpage should go to section 8 (and should 
  be fixed upstream).

- The tarball contains a config file (diaser.conf). Shouldn't it be part of 
  the package (at least as an example file)?

- Please use macros consistently in %install and %files: either use %{name}
  or "diaser" but don't mix them.

- The %changelog is supposed to list changes to the package/spec only
  (downstream updates). Changes to the program sources (upstream) don't belong 
  there. Just replace your latest entry by "updated to release 1.1.0" or the
  like.

- Please add the revision number to each changelog record, as documented here:
  http://fedoraproject.org/wiki/PackagingGuidelines#Changelogs
  
  
$ rpmlint /var/lib/mock/fedora-15-x86_64/result/*.rpm
diaser.noarch: W: incoherent-version-in-changelog 1.1.0 ['1.1.0-1.fc15', '1.1.0-1']
diaser.src: W: file-size-mismatch diaser-1.1.0.tar.gz = 251618, http://downloads.sourceforge.net/diaser/diaser-1.1.0.tar.gz = 251620
2 packages and 0 specfiles checked; 0 errors, 2 warnings.


BTW, do you already have a sponsor? If not, I can sponsor you if you're willing to do a couple of informal reviews in order to show that you have an understanding of the packaging guidelines. Please choose a yet uncommented review request not blocked by FE-NEEDSPONSOR, e.g. bug #705319, and check the package for meeting the items listed here:
https://fedoraproject.org/wiki/Packaging:ReviewGuidelines
There are some more items to consider during a complete review, but checking the listed ones is a good start.

If you have any questions, let me know.
Comment 13 Damian L Brasher 2011-07-25 09:47:47 EDT
Hello Martin

packaged tarball now matches upstream:

$ md5sum diaser-1.1.0.tar.gz*
fa29fdf1b78d55127a4070f3f6497943  diaser-1.1.0.tar.gz
fa29fdf1b78d55127a4070f3f6497943  diaser-1.1.0.tar.gz.1

- diaser is a plain sysadmin tool and files located in these directories (diaser is a script/binary):

$ rpm -ql diaser
/usr/sbin/diaser
/usr/share/doc/diaser-1.1.0
/usr/share/doc/diaser-1.1.0/COPYING
/usr/share/doc/diaser-1.1.0/CREDITS
/usr/share/doc/diaser-1.1.0/README
/usr/share/doc/diaser-1.1.0/WARNING
/usr/share/doc/diaser-1.1.0/diaser.conf.sample
/usr/share/doc/diaser-1.1.0/manual.html
/usr/share/doc/diaser-1.1.0/manual.txt
/usr/share/man/man1/diaser.1.gz

- the diaser config file (diaser.conf) has been renamed to diaser.conf.sample, this change is reflected upstream.

- the macro %{name} is used consistently within %install and %files instead of diaser.

- %changelog now only lists downstream package/spec changes. 

- the revision number has been added to each change log entry as specified.


$ rpmlint SRPMS/diaser-1.1.0-1.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint RPMS/noarch/diaser-1.1.0-1.fc15.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint SPECS/diaser.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[makerpm@fedora15 rpmbuild]$


I do need a sponsor and your offer will be appreciated:)

In addition to previous informal reviews, I will let you know which packages I have reviewed - I am making a start now.
Comment 14 Martin Gieseking 2011-07-25 10:19:31 EDT
OK, fine. Please always provide URLs to the updated spec and srpm files if you changed anything during a review. This way it's easier for the reviewers the pick the correct files.

I'll sponsor you once you've finished a few informal reviews.
Comment 15 Damian L Brasher 2011-07-25 11:45:06 EDT
Upstream changes: incorporated final some minor URL/contact detail changes. Downstream changes: removed a legacy alpha WARNING and added the pdf manual.

SPEC URL:
http://diaser.git.sourceforge.net/git/gitweb.cgi?p=diaser/diaser;a=blob_plain;f=diaser.spec;hb=HEAD

SRPM URL:
http://sourceforge.net/projects/diaser/files/diaser/1.1.0-beta3-dev/diaser-1.1.0-1.fc15.src.rpm

$rpmlint SPECS/diaser.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint SRPMS/diaser-1.1.0-1.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint RPMS/noarch/diaser-1.1.0-1.fc15.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ md5sum diaser-1.1.0.tar.gz*
04251752305ecc9bc6a961985dcd6867  diaser-1.1.0.tar.gz
04251752305ecc9bc6a961985dcd6867  diaser-1.1.0.tar.gz.1
Comment 16 Martin Gieseking 2011-07-25 12:44:48 EDT
OK, the package looks almost fine now. If you provide a new revision of a package, please always increase the release number, or reset it to 1 in case of a new upstream version, and document the changes in a new %changelog entry. This avoids confusion about the different revisions provided.

Please drop all the explicit "Requires" because the dependencies are detected automatically (check it with rpm -qRp FOO.rpm). If a dependency isn't resolved automatically, use the corresponding virtual naming rather than the actual package name as described here:
http://fedoraproject.org/wiki/Packaging:Perl#Perl_Requires_and_Provides


If you want to maintain the package for EPEL 4 as well, you must add %defattr(-,root,root,-) at the top of the %files section. 
The buildroot stuff (BuildRoot field, %clean section, and cleaning of the buildroot in %install) is only required for EPEL < 6. You can drop them otherwise. But that's optional.


$ rpmlint *.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    - GPLv3 according to script header

[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: The file containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum diaser-1.1.0.tar.gz*
    04251752305ecc9bc6a961985dcd6867  diaser-1.1.0.tar.gz
    04251752305ecc9bc6a961985dcd6867  diaser-1.1.0.tar.gz.1

[.] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: When compiling C, C++, or Fortran files, %{optflags} must be applied.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: Packages storing shared library files (not just symlinks) must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[.] MUST: Packages must not provide RPM dependency information when that information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information, the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[.] MUST: devel packages must require the base package using a fully versioned dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

EPEL <= 5 only:
[+] MUST: The spec file must contain a valid BuildRoot field.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot}.
[.] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'

[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
[.] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: Your package should contain man pages for binaries/scripts.
Comment 17 Damian L Brasher 2011-07-25 15:43:36 EDT
Thanks Martin.

I have added a changelog entry to record today's changes. If I understand correctly, the package is not yet built, so I can reset the version release with a new entry.

%changelog
* Mon Jul 25 2011 Damian L Brasher <dlb@interlinux.co.uk> 1.1.0-1
- Red Hat Bugzilla Bug 644711 Review Request, Comments #12,#14 & #16. 

* Mon Apr 18 2011 Damian L Brasher <dlb@interlinux.co.uk> 1.1.0-1
- Updated to release 1.1.0.

 ...

- %defattr(-,root,root,-) is at the top of the %files section - EPEL4 is a potential release channel. EPEL < 6 may be considered, so I'll leave the optional items in place for now.

- I have commented out the now empty (to test with rpm -qRp) Requires tag. This is the result after rpmbuild:

[makerpm@fedora15 noarch]$ rpm -qRp diaser-1.1.0-1.fc15.noarch.rpm 
/usr/bin/perl  
perl >= 0:5.008_008
perl(AppConfig)  
perl(Carp)  
perl(Data::Password)  
perl(English)  
perl(File::Find)  
perl(Getopt::Long)  
perl(Net::SFTP)  
perl(Net::SSH::Perl)  
perl(Term::ReadKey)  
perl(Time::HiRes)  
perl(strict)  
perl(warnings)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

How do I reform the Requires tag contents with the above?

These URL's have been updated (I'll ensure they are kept update with the completed Requires tag):

SPEC URL:
http://diaser.git.sourceforge.net/git/gitweb.cgi?p=diaser/diaser;a=blob_plain;f=diaser.spec;hb=HEAD

SRPM URL:
http://sourceforge.net/projects/diaser/files/diaser/1.1.0-beta3-dev/diaser-1.1.0-1.fc15.src.rpm

Review practice:
----------------
I have completed an initial review of bug #705319

Understood that I will review, in detail, two more uncommented review request not blocked by FE-NEEDSPONSOR. 

Best
Damian
Comment 18 Martin Gieseking 2011-07-25 17:34:53 EDT
Hello Damian,

(In reply to comment #17)
> I have added a changelog entry to record today's changes. If I understand
> correctly, the package is not yet built, so I can reset the version release
> with a new entry.

Sorry if my previous comment was a bit unclear. As long as the version number doesn't change, you should update the release number every time you provide a new revision of the package. It doesn't matter whether it has already been build or not. If the version increases because of a new upstream release, update the version number and reset the release number back to 1. Thus, the combination %{version}-%{release} should strictly increase with every new package revision. Your latest revision should be 1.1.0-2, the next one is 1.1.0-3, etc. If you release 1.2.0, the release number goes back to 1: 1.2.0-1. 


> %changelog
> * Mon Jul 25 2011 Damian L Brasher <dlb@interlinux.co.uk> 1.1.0-1
> - Red Hat Bugzilla Bug 644711 Review Request, Comments #12,#14 & #16. 
> 
> * Mon Apr 18 2011 Damian L Brasher <dlb@interlinux.co.uk> 1.1.0-1
> - Updated to release 1.1.0.

The latest %changelog entry documents revision 1.1.0-2, so update the release number there as well. 



> [makerpm@fedora15 noarch]$ rpm -qRp diaser-1.1.0-1.fc15.noarch.rpm 
> How do I reform the Requires tag contents with the above?

This rpm command lists all dependencies ("Requires") of the package. As you can see, rpmbuild detected all required Perl modules automatically, so you don't need to state them in the spec file at all. If anything were missing in the list, you would have to add an explicit Requires in the spec like this for example: Requires: perl(Net::SFTP). 


> I have completed an initial review of bug #705319

OK, you posted the output of rpmlint, that's a first step but not a complete review yet. ;)
Please have a look at the MUST and SHOULD items on this wikipage:
https://fedoraproject.org/wiki/Packaging:ReviewGuidelines

During a review you must check all this items and post your results into the bugzilla ticket (similar to my comment #16 above). Please try to verify all the items for bug #705319.
Comment 19 Damian L Brasher 2011-07-26 14:41:20 EDT
Hi Martin,

Incorporated change suggestions in previous comment; removed Requires tag and increased the release # along with recent %changelog entries. The new rpm installs the required dependencies.

SPEC URL:
http://diaser.git.sourceforge.net/git/gitweb.cgi?p=diaser/diaser;a=blob_plain;f=diaser.spec;hb=HEAD

SRPM URL:
http://sourceforge.net/projects/diaser/files/diaser/1.1.0-beta3-dev/diaser-1.1.0-3.fc15.noarch.rpm

$ rpmlint SPECS/diaser.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint SRPMS/diaser-1.1.0-3.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint RPMS/noarch/diaser-1.1.0-3.fc15.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


Now moving on to the additional reviews.

Damian
Comment 20 Damian L Brasher 2011-07-26 15:14:04 EDT
Hi Martin - minor changes to above (apologies if you started reading comment #19)

Incorporated change suggestions in previous comment; removed Requires tag and
increased the release # along with recent %changelog entries. The new rpm
installs the required dependencies. Email address updated in comments (rebuild) and the correct link for the SRPM below.

SPEC URL:
http://diaser.git.sourceforge.net/git/gitweb.cgi?p=diaser/diaser;a=blob_plain;f=diaser.spec;hb=HEAD

SRPM URL:
http://sourceforge.net/projects/diaser/files/diaser/1.1.0-beta3-dev/diaser-1.1.0-3.fc15.src.rpm

$ rpmlint SPECS/diaser.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint SRPMS/diaser-1.1.0-3.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint RPMS/noarch/diaser-1.1.0-3.fc15.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


Now moving on to the additional reviews.

Damian
Comment 21 Martin Gieseking 2011-07-27 07:23:09 EDT
Hi Damian, the package looks good now. I'll approve it as soon as you're sponsored into the packager group.

If you need any help with your informal reviews or if you have further questions, let me know.
Comment 22 Martin Gieseking 2011-08-04 12:21:31 EDT
As you're a member of the packager group now and as the package is approved, you can now request a Git repository with the distro branches you're planning to maintain. See the following wiki page for how to continue:

http://fedoraproject.org/wiki/Package_SCM_admin_requests#New_Packages


----------------
Package APPROVED
----------------
Comment 23 Damian L Brasher 2011-08-04 13:14:28 EDT
New Package SCM Request
=======================
Package Name: diaser
Short Description: Wan vault for long term archiving 
Owners: dbrasher
Branches: f14 f15 f16 
InitialCC:
Comment 24 Martin Gieseking 2011-08-04 13:26:24 EDT
Damian, don't forget to set the fedora-cvs flag to "?". Otherwise, your request won't be recognized.
Comment 25 Damian L Brasher 2011-08-04 14:07:25 EDT
Thanks Martin
I'm waiting for an hour for the flag to become available as I am a new maintainer.
Damian
Comment 26 Martin Gieseking 2011-08-04 14:15:51 EDT
Ah, OK. Don't you see the fedora-cvs flag yet when clicking on the "Flags (edit)" link above? Meanwhile, you should be able to set it.
Comment 27 Martin Gieseking 2011-08-04 14:19:47 EDT
It's probably because you use different email addresses in bugzilla and FAS. Please update your BZ email address to that given in FAS.
Comment 28 Damian L Brasher 2011-08-04 14:26:41 EDT
Email address changed. The fedora-cvs flag setting is greyed out at this time. I will try again during the next hour.
Comment 29 Damian L Brasher 2011-08-05 00:04:55 EDT
fedora-cvs flag is set to ?
Comment 30 Damian L Brasher 2011-08-05 00:12:41 EDT
New Package SCM Request
=======================
Package Name: diaser
Short Description: Wan vault for long term archiving 
Owners: dbrasher
Branches: f14 f15 f16 
InitialCC:
Comment 31 Jon Ciesla 2011-08-05 06:00:50 EDT
Git done (by process-git-requests).
Comment 32 Fedora Update System 2011-08-05 15:41:40 EDT
diaser-1.1.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/diaser-1.1.0-3.fc15
Comment 33 Damian L Brasher 2011-08-05 15:43:36 EDT
-build (dist-rawhide, /diaser: ... completed successfully
-build (f15-candidate, /diaser: ... completed successfully
-bodhi - 2011-08-05 19:41:56 (karma 0) This update has been submitted for testing by dbrasher.
Comment 34 Fedora Update System 2011-08-06 11:37:35 EDT
diaser-1.1.0-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/diaser-1.1.0-3.fc14
Comment 35 Fedora Update System 2011-08-06 11:47:07 EDT
diaser-1.1.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/diaser-1.1.0-3.fc16
Comment 36 Damian L Brasher 2011-08-06 12:01:01 EDT
master was built - there may have been a mid-air bugzilla collision as I submitted notes diaser-1.1.0-3.fc17 in Koji.
Comment 37 Fedora Update System 2011-08-16 21:01:00 EDT
diaser-1.1.0-3.fc15 has been pushed to the Fedora 15 stable repository.
Comment 38 Fedora Update System 2011-08-16 21:06:50 EDT
diaser-1.1.0-3.fc14 has been pushed to the Fedora 14 stable repository.
Comment 39 Fedora Update System 2011-08-22 11:05:23 EDT
diaser-1.1.0-3.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.